#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   XYZ xyz;					/* Position */
   COLOUR col;					/* Colour */
   float isize;					/* Dot size */
   char itrans;					/* Transparency type */
   float ialpha;				/* Alpha channel */
   int i;

   srand48((long)time(NULL));			/* Seed random numbers */

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   for (i=0;i<50;i++) {
      xyz.x = drand48()*2.0 - 1.0;		/* Random position */
      xyz.y = drand48()*2.0 - 1.0;		
      xyz.z = drand48()*2.0 - 1.0;
      col.r = drand48();			/* Random colour */
      col.g = drand48();			
      col.b = drand48();		
      itrans = 't';				/* Transparency */
      ialpha = 0.5;				/* Alpha channel */
      isize  = 8.0; 				/* Point size */
      ns2vpa(xyz, col, isize, itrans, ialpha);	/* Draw transparent point */
   }
   s2show(1);					/* Open the s2plot window */
   
   return 1;
}

