
#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

void cb(double *t, int *kc)
{
   char string[32];
   int wc = 1;					/* Use world coordinates */
   XYZ pos, up, view;				/* Camera parameters */
 
   ss2qc(&pos, &up, &view, wc);			/* Get camera parameters */

   sprintf(string,"Camera @ %5.2f %5.2f %5.2f",pos.x,pos.y,pos.z);
   s2textxy(-1.0,0.0,0.0, string);
						
}


int main(int argc, char *argv[])
{
   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */
   
   cs2scb(&cb);					/* Install a dynamic callback */

   s2show(1);					/* Open the s2plot window */

   return 1;
}
